Change Password

Lets you modify the current password of a customer. This is applicable only for brands for which password is enabled.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Prerequisite

  • The brand must be password-enabled.
  • The user must have a validated password.
  • A valid identifier and the corresponding value.
  • A valid token generated during password validation.
  • The device ID for mobile applications.

Resource Information

URI for Mobile App/auth/v1/password/change
URI for Web App/auth/v1/web/password/change
Rate Limited?Yes
AuthenticationToken-based
HTTP MethodPOST
Batch SupportNo

Request URL

For mobile application:

http://{ae-host}/auth/v1/password/change

For web application:

http://{ae-host}/auth/v1/web/password/change

Example request

curl --location 'https://eu.api.capillarytech.com/auth/v1/password/change' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'accept: application/json' \
--data '{
    "identifierType": "MOBILE",
    "identifierValue": "919999922332",
    "brand": "DocDemo",
    "deviceId": "123456785",
    "password": "abc123",
    "newPassword": "Qwerty12345",
    "confirmPassword": "Qwerty12345",
    "token": "eyJpZHYiOlsiTU9CSUxFfDkxOTk5OTkyMjMzMiJdLCJkZXYiOiIxMjM0NTY3ODUiLCJvcmciOiJET0NERU1PIiwiYWxnIjoiSFMyNTYifQ.eyJ1aWQiOiI0NDEyNDU4IiwiaXNzIjoiQ0FQSUxMQVJZIFRFQ0hOT0xPR0lFUyIsImlzYyI6ImZhbHNlIiwib2djIjpbIjEwMDczN3xuZWVyYWouZG9jIl0sImV4cCI6MTc2MDQzNzAyNywiaWF0IjoxNzYwNDMzNDI3LCJyb2wiOiJVU0VSIn0.A1VXGKmSBqlNDhd68YsmLZsgO6B4bJD8HupGpY5z79I"
}'
curl --location 'https://eu.api.capillarytech.com/auth/v1/web/password/change' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'accept: application/json' \
--data '{
    "identifierType": "MOBILE",
    "identifierValue": "919999922332",
    "brand": "DocDemo",
    "password": "Qwerty12345",
    "newPassword": "abc123",
    "confirmPassword": "abc123",
    "token": "eyJpZHYiOlsiTU9CSUxFfDkxOTk5OTkyMjMzMiJdLCJkZXYiOm51bGwsIm9yZyI6IkRPQ0RFTU8iLCJhbGciOiJIUzI1NiJ9.eyJ1aWQiOiI0NDEyNDU4IiwiaXNzIjoiQ0FQSUxMQVJZIFRFQ0hOT0xPR0lFUyIsImlzYyI6ImZhbHNlIiwib2djIjpbIjEwMDczN3xuZWVyYWouZG9jIl0sImV4cCI6MTc2MDQ0NDM5MCwiaWF0IjoxNzYwNDMzNTkwLCJyb2wiOiJVU0VSIn0.5fnnPGMO2PP_losP5cY0u44j0XGtZP8XanWY8iQF5q0"
}'

Request body parameters

ParameterDatatypeDescription
identifierType*enumIdentifier used for changing the password. Values: MOBILE, EMAIL, USERNAME.
identifierValue*stringValue of the specified identifierType. For example, if identifierType is MOBILE, the identifierValue is the mobile number.
deviceId**stringUnique ID of the device used for changing the password. Applicable only for the mobile app.
brand*stringName of the brand or organization associated with the current account.
token*stringUnique token generated for the identifierType and identifierValue during password validation.
password*stringExisting password of the account.
newPassword*stringNew password the customer would like to have. Currently, there is no minimum or maximum character limit, and using special characters is not mandatory.
confirmPassword*stringReenter the new password for confirmation.

Parameters marked with * are mandatory.

Parameter marked with ** is mandatory for the mobile application and optional for web application.

Example response

{
    "status": {
        "success": true,
        "code": 200,
        "message": "SUCCESS"
    }
}
{
    "status": {
        "success": true,
        "code": 200,
        "message": "SUCCESS"
    }
}

Body Params
string
required

Identifier used for token generation. Values: MOBILE, EMAIL, USERNAME.

string
required

Value of the specified identifierType.

string
required

Name of the brand/org for which authentication needs to be verified.

string
required

Unique ID of the device used for changing password. Applicable only for mobile app.

string
required

Current password of the account.

string
required

New password of the account.

string
required

Reenter the new password.

string
required

Unique token generated for the identifierType, identifierValue and for web application, and including deviceId for the mobile application.

Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json